Package gov.nasa.gsfc.sscweb.schema

# Class LocationFilterOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.LocationFilterOptions

public class LocationFilterOptions extends Object
Data request location filter options. <p>Java class for LocationFilterOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="LocationFilterOptions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="AllFilters" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="DistanceFromCenterOfEarth" type="{http://sscweb.gsfc.nasa.gov/schema}LocationFilter"/> <element name="MagneticFieldStrength" type="{http://sscweb.gsfc.nasa.gov/schema}LocationFilter"/> <element name="DistanceFromNeutralSheet" type="{http://sscweb.gsfc.nasa.gov/schema}LocationFilter"/> <element name="DistanceFromBowShock" type="{http://sscweb.gsfc.nasa.gov/schema}LocationFilter"/> <element name="DistanceFromMagnetopause" type="{http://sscweb.gsfc.nasa.gov/schema}LocationFilter"/> <element name="DipoleLValue" type="{http://sscweb.gsfc.nasa.gov/schema}LocationFilter"/> <element name="DipoleInvariantLatitude" type="{http://sscweb.gsfc.nasa.gov/schema}LocationFilter"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `allFilters`
  Specifies whether all or just one or more of the specified filters must be satisfied.
  `protected LocationFilter`
  `dipoleInvariantLatitude`
  Specifies the "distance from dipole invariant latitude" filter.
  `protected LocationFilter`
  `dipoleLValue`
  Specifies the "distance from dipole L value" filter.
  `protected LocationFilter`
  `distanceFromBowShock`
  Specifies the "distance from bow shock" filter.
  `protected LocationFilter`
  `distanceFromCenterOfEarth`
  Specifies the "distance from center of earth" filter.
  `protected LocationFilter`
  `distanceFromMagnetopause`
  Specifies the "distance from magnetopause" filter.
  `protected LocationFilter`
  `distanceFromNeutralSheet`
  Specifies the "distance from neutral sheet" filter.
  `protected LocationFilter`
  `magneticFieldStrength`
  Specifies the "magnetic field strength" filter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocationFilterOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LocationFilter`
  `getDipoleInvariantLatitude()`
  Specifies the "distance from dipole invariant latitude" filter.
  `LocationFilter`
  `getDipoleLValue()`
  Specifies the "distance from dipole L value" filter.
  `LocationFilter`
  `getDistanceFromBowShock()`
  Specifies the "distance from bow shock" filter.
  `LocationFilter`
  `getDistanceFromCenterOfEarth()`
  Specifies the "distance from center of earth" filter.
  `LocationFilter`
  `getDistanceFromMagnetopause()`
  Specifies the "distance from magnetopause" filter.
  `LocationFilter`
  `getDistanceFromNeutralSheet()`
  Specifies the "distance from neutral sheet" filter.
  `LocationFilter`
  `getMagneticFieldStrength()`
  Specifies the "magnetic field strength" filter.
  `boolean`
  `isAllFilters()`
  Specifies whether all or just one or more of the specified filters must be satisfied.
  `void`
  `setAllFilters(boolean value)`
  Sets the value of the allFilters property.
  `void`
  `setDipoleInvariantLatitude(LocationFilter value)`
  Sets the value of the dipoleInvariantLatitude property.
  `void`
  `setDipoleLValue(LocationFilter value)`
  Sets the value of the dipoleLValue property.
  `void`
  `setDistanceFromBowShock(LocationFilter value)`
  Sets the value of the distanceFromBowShock property.
  `void`
  `setDistanceFromCenterOfEarth(LocationFilter value)`
  Sets the value of the distanceFromCenterOfEarth property.
  `void`
  `setDistanceFromMagnetopause(LocationFilter value)`
  Sets the value of the distanceFromMagnetopause property.
  `void`
  `setDistanceFromNeutralSheet(LocationFilter value)`
  Sets the value of the distanceFromNeutralSheet property.
  `void`
  `setMagneticFieldStrength(LocationFilter value)`
  Sets the value of the magneticFieldStrength property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### allFilters

    protected boolean allFilters
    Specifies whether all or just one or more of the specified filters must be satisfied.

  - ### distanceFromCenterOfEarth

    protected LocationFilter distanceFromCenterOfEarth
    Specifies the "distance from center of earth" filter.

  - ### magneticFieldStrength

    protected LocationFilter magneticFieldStrength
    Specifies the "magnetic field strength" filter.

  - ### distanceFromNeutralSheet

    protected LocationFilter distanceFromNeutralSheet
    Specifies the "distance from neutral sheet" filter.

  - ### distanceFromBowShock

    protected LocationFilter distanceFromBowShock
    Specifies the "distance from bow shock" filter.

  - ### distanceFromMagnetopause

    protected LocationFilter distanceFromMagnetopause
    Specifies the "distance from magnetopause" filter.

  - ### dipoleLValue

    protected LocationFilter dipoleLValue
    Specifies the "distance from dipole L value" filter.

  - ### dipoleInvariantLatitude

    protected LocationFilter dipoleInvariantLatitude
    Specifies the "distance from dipole invariant latitude" filter.

- ## Constructor Details

  - ### LocationFilterOptions

    public LocationFilterOptions()

- ## Method Details

  - ### isAllFilters

    public boolean isAllFilters()
    Specifies whether all or just one or more of the specified filters must be satisfied.

  - ### setAllFilters

    public void setAllFilters(boolean value)
    Sets the value of the allFilters property.

  - ### getDistanceFromCenterOfEarth

    public LocationFilter getDistanceFromCenterOfEarth()
    Specifies the "distance from center of earth" filter.
    Returns:
      possible object is `LocationFilter`

  - ### setDistanceFromCenterOfEarth

    public void setDistanceFromCenterOfEarth(LocationFilter value)
    Sets the value of the distanceFromCenterOfEarth property.
    Parameters:
      `value` - allowed object is `LocationFilter`
    See Also:
      - `getDistanceFromCenterOfEarth()`

  - ### getMagneticFieldStrength

    public LocationFilter getMagneticFieldStrength()
    Specifies the "magnetic field strength" filter.
    Returns:
      possible object is `LocationFilter`

  - ### setMagneticFieldStrength

    public void setMagneticFieldStrength(LocationFilter value)
    Sets the value of the magneticFieldStrength property.
    Parameters:
      `value` - allowed object is `LocationFilter`
    See Also:
      - `getMagneticFieldStrength()`

  - ### getDistanceFromNeutralSheet

    public LocationFilter getDistanceFromNeutralSheet()
    Specifies the "distance from neutral sheet" filter.
    Returns:
      possible object is `LocationFilter`

  - ### setDistanceFromNeutralSheet

    public void setDistanceFromNeutralSheet(LocationFilter value)
    Sets the value of the distanceFromNeutralSheet property.
    Parameters:
      `value` - allowed object is `LocationFilter`
    See Also:
      - `getDistanceFromNeutralSheet()`

  - ### getDistanceFromBowShock

    public LocationFilter getDistanceFromBowShock()
    Specifies the "distance from bow shock" filter.
    Returns:
      possible object is `LocationFilter`

  - ### setDistanceFromBowShock

    public void setDistanceFromBowShock(LocationFilter value)
    Sets the value of the distanceFromBowShock property.
    Parameters:
      `value` - allowed object is `LocationFilter`
    See Also:
      - `getDistanceFromBowShock()`

  - ### getDistanceFromMagnetopause

    public LocationFilter getDistanceFromMagnetopause()
    Specifies the "distance from magnetopause" filter.
    Returns:
      possible object is `LocationFilter`

  - ### setDistanceFromMagnetopause

    public void setDistanceFromMagnetopause(LocationFilter value)
    Sets the value of the distanceFromMagnetopause property.
    Parameters:
      `value` - allowed object is `LocationFilter`
    See Also:
      - `getDistanceFromMagnetopause()`

  - ### getDipoleLValue

    public LocationFilter getDipoleLValue()
    Specifies the "distance from dipole L value" filter.
    Returns:
      possible object is `LocationFilter`

  - ### setDipoleLValue

    public void setDipoleLValue(LocationFilter value)
    Sets the value of the dipoleLValue property.
    Parameters:
      `value` - allowed object is `LocationFilter`
    See Also:
      - `getDipoleLValue()`

  - ### getDipoleInvariantLatitude

    public LocationFilter getDipoleInvariantLatitude()
    Specifies the "distance from dipole invariant latitude" filter.
    Returns:
      possible object is `LocationFilter`

  - ### setDipoleInvariantLatitude

    public void setDipoleInvariantLatitude(LocationFilter value)
    Sets the value of the dipoleInvariantLatitude property.
    Parameters:
      `value` - allowed object is `LocationFilter`
    See Also:
      - `getDipoleInvariantLatitude()`